ParameterList Class Reference
Collaboration diagram for ParameterList:
[legend]

## Public Member Functions

| ParameterList (int s=36)
void | Add (Parameter *p)
virtual void | Read (int argc, char **argv, int start=1)
virtual int | ReadWithTrailer (int argc, char **argv, int start=1)
virtual void | Status ()
void | Enforce (bool &var, bool value, const char *reason,...)
void | Enforce (int &var, int value, const char *reason,...)
void | Enforce (double &var, double value, const char *reason,...)
void | Enforce (String &var, const char *value, const char *reason,...)

## Public Attributes

char * | string
String | warnings
String | messages

## Protected Member Functions

void | MakeString (int argc, char **argv, int start=1)
void | HandlePhoneHome (int argc, char **argv, int start)

## Protected Attributes

Parameter ** | pl
int | count
int | size

## Detailed Description

Definition at line 296 of file Parameters.h.

The documentation for this class was generated from the following files:

- general/Parameters.h
- general/Parameters.cpp